ReservationDefinitionPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: ReservationDefinitionPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class ReservationDefinitionPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.ReservationDefinition
org.apache.hadoop.yarn.api.records.impl.pb.ReservationDefinitionPBImpl

public class ReservationDefinitionPBImpl extends org.apache.hadoop.yarn.api.records.ReservationDefinition

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservationDefinitionPBImpl()`
  `ReservationDefinitionPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ReservationDefinitionProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `long`
  `getArrival()`
  `long`
  `getDeadline()`
  `org.apache.hadoop.yarn.api.records.Priority`
  `getPriority()`
  `org.apache.hadoop.yarn.proto.YarnProtos.ReservationDefinitionProto`
  `getProto()`
  `String`
  `getRecurrenceExpression()`
  `String`
  `getReservationName()`
  `org.apache.hadoop.yarn.api.records.ReservationRequests`
  `getReservationRequests()`
  `int`
  `hashCode()`
  `void`
  `setArrival(long earliestStartTime)`
  `void`
  `setDeadline(long latestEndTime)`
  `void`
  `setPriority(org.apache.hadoop.yarn.api.records.Priority priority)`
  `void`
  `setRecurrenceExpression(String recurrenceExpression)`
  `void`
  `setReservationName(String name)`
  `void`
  `setReservationRequests(org.apache.hadoop.yarn.api.records.ReservationRequests reservationRequests)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.ReservationDefinition

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReservationDefinitionPBImpl

    public ReservationDefinitionPBImpl()

  - ### ReservationDefinitionPBImpl

    public ReservationDefinitionPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ReservationDefinitionProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.ReservationDefinitionProto getProto()

  - ### getArrival

    public long getArrival()
    Specified by:
      `getArrival` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### setArrival

    public void setArrival(long earliestStartTime)
    Specified by:
      `setArrival` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### getDeadline

    public long getDeadline()
    Specified by:
      `getDeadline` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### setDeadline

    public void setDeadline(long latestEndTime)
    Specified by:
      `setDeadline` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### getReservationRequests

    public org.apache.hadoop.yarn.api.records.ReservationRequests getReservationRequests()
    Specified by:
      `getReservationRequests` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### setReservationRequests

    public void setReservationRequests(org.apache.hadoop.yarn.api.records.ReservationRequests reservationRequests)
    Specified by:
      `setReservationRequests` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### getReservationName

    public String getReservationName()
    Specified by:
      `getReservationName` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### setReservationName

    public void setReservationName(String name)
    Specified by:
      `setReservationName` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### getPriority

    public org.apache.hadoop.yarn.api.records.Priority getPriority()
    Specified by:
      `getPriority` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### setPriority

    public void setPriority(org.apache.hadoop.yarn.api.records.Priority priority)
    Specified by:
      `setPriority` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### getRecurrenceExpression

    public String getRecurrenceExpression()
    Specified by:
      `getRecurrenceExpression` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`

  - ### setRecurrenceExpression

    public void setRecurrenceExpression(String recurrenceExpression)
    Specified by:
      `setRecurrenceExpression` in class `org.apache.hadoop.yarn.api.records.ReservationDefinition`